Channel Partner
Cancel channel partner order by channel partner order id
DELETE
/channel_partner/cancel/by_channel_partner_order_id/{order_id}Cancel channel partner order by channel partner order id
Cancel channel partner order by UltraCart order id
DELETE
/channel_partner/cancel/by_ultracart_order_id/{order_id}Cancel channel partner order by UltraCart order id
Delete a ship to preference record for the channel partner.
DELETE
/channel_partner/channel_partners/{channel_partner_oid}/ship_to_preferences/{channel_partner_ship_to_preference_oid}Delete a ship to preference record for the channel partner.
Estimate shipping for channel partner order
POST
/channel_partner/estimate_shippingEstimate shipping for order from a channel partner.
Estimate tax for channel partner order
POST
/channel_partner/estimate_taxEstimate tax for order from a channel partner.
Insert a ship to preference record for the channel partner.
POST
/channel_partner/channel_partners/{channel_partner_oid}/ship_to_preferencesInsert a ship to preference record for the channel partner.
Insert channel partner order
POST
/channel_partner/importInsert order from a channel partner.
Refund a channel partner order
PUT
/channel_partner/orders/{order_id}/refundPerform a refund operation on a channel partner order and then update the order if successful.
Retrieve a channel partner order
GET
/channel_partner/orders/{order_id}Retrieves a single order using the specified order id.
Retrieve a channel partner order by the channel partner order id
GET
/channel_partner/orders/by_channel_partner_order_id/{order_id}Retrieves a single order using the channel partner order id, not the ultracart order id.
Retrieve reject and refund reason codes.
GET
/channel_partner/channel_partners/{channel_partner_oid}/reason_codesRetrieve reject and refund reason codes.
Retrieve the channel partners configured on the account.
GET
/channel_partner/channel_partnersRetrieve the channel partners configured on the account.
Retrieve the ship to preference associated with the channel partner and the specific id.
GET
/channel_partner/channel_partners/{channel_partner_oid}/ship_to_preferences/{channel_partner_ship_to_preference_oid}Retrieve the ship to preference associated with the channel partner and the specific id.
Retrieve the ship to preferences associated with the channel partner.
GET
/channel_partner/channel_partners/{channel_partner_oid}/ship_to_preferencesRetrieve the ship to preferences associated with the channel partner.
Update a ship to preference record for the channel partner.
PUT
/channel_partner/channel_partners/{channel_partner_oid}/ship_to_preferences/{channel_partner_ship_to_preference_oid}Update a ship to preference record for the channel partner.
Was this page helpful?